For the complete documentation index, see llms.txt. This page is also available as Markdown.

Translations API

Provides translations for different entities

Translations API endpoints can be used to fetch translations to different languages for the Odds88 entities.

Currently Odds88 support the following languages:

  • English

  • German

  • Spanish

  • Japanese

  • Portuguese

  • Russian

  • Thai

  • Turkish

  • Vietnamese

  • Chinese

  • Korean

  • French

  • Afar

  • Indonesian

Gets translations to specific language for specified sports.

get

Rate Limits (per account):

  • 40 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
langstringRequired

Language code of translation.

Query parameters
sportsinteger · int64[]Optional

Sports which will be translated.

Responses
200

OK

idinteger · int64Optional
languagestring · nullableOptional
translationstring · nullableOptional
get/api/translations/{lang}/sports
GET /api/translations/{lang}/sports HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 1,
    "language": "text",
    "translation": "text"
  }
]

Gets translations to specific language for specified regions.

get

Rate Limits (per account):

  • 40 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
langstringRequired

Language code for translation.

Query parameters
regionsinteger · int64[]Optional

Regions which will be translated.

Responses
200

OK

idinteger · int64Optional
languagestring · nullableOptional
translationstring · nullableOptional
get/api/translations/{lang}/regions
GET /api/translations/{lang}/regions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 1,
    "language": "text",
    "translation": "text"
  }
]

Gets translations to specific language for specific leagues.

get

Rate Limits (per account):

  • 40 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
langstringRequired

Language code for translation.

Query parameters
leaguesinteger · int64[]Optional

Leagues which will be translated.

Responses
200

OK

idinteger · int64Optional
languagestring · nullableOptional
translationstring · nullableOptional
get/api/translations/{lang}/leagues
GET /api/translations/{lang}/leagues HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 1,
    "language": "text",
    "translation": "text"
  }
]

Gets translation to specific language for specific markets.

get

Rate Limits (per account):

  • 40 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
langstringRequired

Language code for translation.

eventIdinteger · int64Required

TradeArt event id.

Query parameters
marketsinteger · int64[]Optional

Markets which will be translated.

Responses
200

OK

marketTypeIdinteger · int64Optional
get/api/translations/{lang}/{eventId}/markets
GET /api/translations/{lang}/{eventId}/markets HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "marketTypeId": 1,
    "market": {
      "id": 1,
      "language": "text",
      "translation": "text"
    },
    "selections": [
      {
        "id": 1,
        "language": "text",
        "translation": "text"
      }
    ]
  }
]

Gets translations to specific language for specific competitors.

get

Rate Limits (per account):

  • 40 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
langstringRequired

Language code for translation.

Query parameters
competitorsinteger · int64[]Optional

Competitors which will be translated.

Responses
200

OK

idinteger · int64Optional
languagestring · nullableOptional
translationstring · nullableOptional
get/api/translations/{lang}/competitors
GET /api/translations/{lang}/competitors HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 1,
    "language": "text",
    "translation": "text"
  }
]

Gets all existing translations for a specific sport.

get

Rate Limits (per account):

  • 20 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
sportIdinteger · int64Required

TradeArt sport id.

Responses
200

OK

Contains entity translation information.

idinteger · int64Optional

ID of the entity.

get/api/translations/all/sport/{sportId}
GET /api/translations/all/sport/{sportId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 1,
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Gets all existing translations for a specific event.

get

Rate Limits (per account):

  • 40 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
eventIdinteger · int64Required

TradeArt event id.

Responses
200

OK

get/api/translations/all/event/{eventId}
GET /api/translations/all/event/{eventId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "eventTranslation": {
    "id": 1,
    "translations": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "sport": {
    "id": 1,
    "translations": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "region": {
    "id": 1,
    "translations": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "league": {
    "id": 1,
    "translations": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "competitors": [
    {
      "id": 1,
      "translations": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  ]
}

Gets all existing translations for specific markets.

get

Rate Limits (per account):

  • 40 req/1s (with query parameters)

  • 1 req/10s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
eventIdinteger · int64Required

TradeArt event id.

Query parameters
marketsinteger · int64[]Optional

Markets which will be translated.

Responses
200

OK

marketTypeIdinteger · int64Optional
get/api/translations/all/{eventId}/markets
GET /api/translations/all/{eventId}/markets HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "marketTypeId": 1,
    "marketTranslations": {
      "id": 1,
      "translations": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "selections": [
      {
        "id": 1,
        "translations": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      }
    ]
  }
]

Gets all existing translations for a specific region.

get

Rate Limits (per account):

  • 20 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
regionIdinteger · int64Required

TradeArt region id.

Responses
200

OK

Contains entity translation information.

idinteger · int64Optional

ID of the entity.

get/api/translations/all/region/{regionId}
GET /api/translations/all/region/{regionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 1,
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Gets all existing translations for a specific league.

get

Rate Limits (per account):

  • 20 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
leagueIdinteger · int64Required

TradeArt league id.

Responses
200

OK

Contains entity translation information.

idinteger · int64Optional

ID of the entity.

get/api/translations/all/league/{leagueId}
GET /api/translations/all/league/{leagueId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 1,
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Gets all existing translations for a specific competitor.

get

Rate Limits (per account):

  • 20 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
competitorIdinteger · int64Required

TradeArt competitor id.

Responses
200

OK

Contains entity translation information.

idinteger · int64Optional

ID of the entity.

get/api/translations/all/competitor/{competitorId}
GET /api/translations/all/competitor/{competitorId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 1,
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Gets selection translation templates for specific selections.

get

Rate Limits (per account):

  • 10 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Query parameters
selectionsinteger · int64[]Optional

Collection of selection ids (up to 100).

Responses
200

OK

Contains entity translation information.

idinteger · int64Optional

ID of the entity.

get/api/translations/templates/selections
GET /api/translations/templates/selections HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 1,
    "translations": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  }
]

Gets market type translation template for a specific sport and market types.

get

Rate Limits (per account):

  • 10 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Query parameters
sportIdinteger · int64Optional

Sport id.

marketTypesinteger · int64[]Optional

Collection of market type ids (up to 100).

Responses
200

OK

Contains entity translation information.

idinteger · int64Optional

ID of the entity.

get/api/translations/templates/market-types
GET /api/translations/templates/market-types HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 1,
    "translations": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  }
]

Last updated